> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.islo.dev/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.islo.dev/_mcp/server.

# Get compute event detail by command ID

GET https://api.islo.dev/compute-events/{command_id}

Reference: https://docs.islo.dev/api-reference/compute-events/get-compute-event

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `command_id` (string, required)

## Response

### 200

Successful Response

- `command_id` (string, required)
- `action` (string, required)
- `success` (boolean, required)
- `error_message` (string, required, nullable)
- `started_at` (datetime, required, nullable)
- `completed_at` (datetime, required, nullable)
- `result` (ComputeEventDetailResponseResult, required)
- `error_code` (string, optional, nullable)
- `error_details` (map from string to any, optional, nullable)
- `session_name` (string, optional, nullable)
- `sandbox_name` (string, optional, nullable)

## Errors

### 404 Not Found Error

Not Found

- `any`

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### ComputeEventDetailResponseResult

- `type`: `agent` (AgentResult)
  - `agent_session_id` (string, optional, nullable)
  - `harness` (string, optional, nullable)
  - `mode` (string, optional, nullable)
  - `model` (string, optional, nullable)
  - `outcome` (string, optional, nullable)
  - `output_text` (string, optional, nullable)
  - `outputs` (map from string to any, optional, nullable)
  - `status` (string, optional, nullable)
- `type`: `empty` (EmptyResult)
- `type`: `exec` (ExecResult)
  - `exec_id` (string, optional, nullable)
  - `exit_code` (integer, optional, nullable)
  - `status` (string, optional, nullable)
  - `stderr` (string, optional, nullable)
  - `stdout` (string, optional, nullable)
  - `truncated` (boolean, optional, nullable)
- `type`: `sandbox` (SandboxResult)
  - `id` (string, optional, nullable)
  - `name` (string, optional, nullable)
  - `status` (string, optional, nullable)
- `type`: `snapshot` (SnapshotResult)
  - `id` (string, optional, nullable)
  - `name` (string, optional, nullable)
  - `status` (string, optional, nullable)

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)
- `input` (any, optional)
- `ctx` (ValidationErrorCtx, optional)

### ValidationErrorLocItems

### ValidationErrorCtx

## Examples

**Response**

```json
{
  "command_id": "string",
  "action": "string",
  "success": true,
  "error_message": "string",
  "started_at": "2024-01-15T09:30:00Z",
  "completed_at": "2024-01-15T09:30:00Z",
  "result": {
    "type": "empty"
  },
  "error_code": "string",
  "error_details": {},
  "session_name": "string",
  "sandbox_name": "string"
}
```

**SDK Code**

```python
import requests

url = "https://api.islo.dev/compute-events/command_id"

headers = {"Authorization": "Bearer <api_key>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.islo.dev/compute-events/command_id';
const options = {method: 'GET', headers: {Authorization: 'Bearer <api_key>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.islo.dev/compute-events/command_id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <api_key>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.islo.dev/compute-events/command_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <api_key>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.islo.dev/compute-events/command_id")
  .header("Authorization", "Bearer <api_key>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.islo.dev/compute-events/command_id', [
  'headers' => [
    'Authorization' => 'Bearer <api_key>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.islo.dev/compute-events/command_id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <api_key>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <api_key>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.islo.dev/compute-events/command_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```